//P2 board pin definitions and such

#ifndef _PLATFORM_H_
#define _PLATFORM_H_

#include "propeller2.h"

//override the default heapsize
enum { heapsize = 8000 };

// to get the frequency we desire, we
// specify P2_TARGET_MHZ then include "sys/p2es_clock.h"
// e.g. to get 160_000_000, define P2_TARGET_MHZ to 160
// p2es_clock.h defines constants _SETFREQ and _CLOCKFREQ
// which we can then use to set the clock
//
// note that this is not the only way to set the clock; you can
// certainly calculate the desired clock mode based on the frequency
// and pass the resulting mode and frequency directly to clkset()
// p2es_clock.h is just a convenience header
#define P2_TARGET_MHZ (297)  //Note:  If you change this, need to change fpix and fclk in vga driver to match
#include "sys/p2es_clock.h"

//Pick one or none of these to say where files might come from
#define USE_SD
//#define USE_HOST


#define TRUE     (1)
#define FALSE    (0)



//Which type of board are we using?
#define Board_Eval  //Parallax Evaluation Board
//#define Board_Board1  //RJA's first working P2 board

#ifdef Board_Eval
#define pin_sd_miso 58
#define pin_sd_mosi 59
#define pin_sd_cs 60
#define pin_sd_clk 61
#define pin_rtc_sda 22  //but could be anything
#define pin_rtc_scl 23  //but could be anything
#define AV_BasePin 8  //RJA:  Now passing pins in with SetPins() in Waveplayer.spin2 using these definitions
#define AV_LeftPin (AV_BasePin+6)
#define AV_RightPin (AV_BasePin+7)
#endif // Board_Eval

#ifdef Board_Board1
#define pin_sd_miso 44
#define pin_sd_mosi 46
#define pin_sd_cs 47
#define pin_sd_clk 45
#define pin_rtc_sda 22
#define pin_rtc_scl 23
#endif // Board_Board1







#endif /*_PLATFORM_H_*/
/* Nothing beyond this*/




